Bug 151076 - Delayed Logout
Delayed Logout
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 11:53 EST by Roy Kimbrell
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy Kimbrell 2005-03-14 11:53:59 EST
+++ This bug was initially created as a clone of Bug #136518 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:

Fedora Core 3 (fresh install) running Gnome.

Problem:  Delays on Log Out

Details:

On selecting Action>Log Out, the Log Out dialog box appears.  After selecting
Log Out and clicking OK, nothing happens for two to three minutes.  Eventually,
the log out occurs.

If you wait for the log out (that is, abstain from killing X with ctrl-alt-bs,
or opening a console with ctrl-alt-F1 and shutting down the machine), then log
in, then select Action>Log Out, nothing happens (no Log Out dialog box) for two
minutes.  Then the box appears and log out can proceed immediately.

This symptom occurs on both machines.

The kernel is still running fine.  An ssh connection seems to work just fine. 
ps ax shows the last task running to be

/usr/bin/esd -terminate -nobeeps -as 2 -spawnfd 28

Fedora Core 3 - fresh install
Two machines:
  1.  Sony VGN-A270P (laptop)
      2 GB RAM
      ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]

  2.  Dell Dimension V433C
      384 GB RAM
      ATI Technologies Inc 3D Rage Pro AGP 1X/2X (rev 5c)

I note that the commonality between the two machines is the ATI video card.  I
wonder if there's a problem with the driver.

It looks like the delay between clicking OK on the Log Out dialog box 
to the time the log out or shutdown occurs is exactly 120 seconds - at least
that´s as close as I can measure it on my wristwatch.  This for the case where
the delay occurs between clicking OK and the logout occurs.  I´ll time the other
delay (where it occurs between selecting Action>Log Out and the Log Out dialog
box appears).

I think it might be a race condition. 

Select Actions>Log Out
BEFORE THE SCREEN FINISHES DIMMING - On the ensuing dialog box, click
Log Out or Shut down

In this case there will be a 120 second delay before the action takes
place.

If you wait for the dimming to complete it will occur immediately.

The above behavior doesn´t happen all the time - but it seems to be reproducable
if you do the above.  At times, there´s a delay between slelecting Actions>Log
Out and the apearance of the dialgo box.  When this occurs, log out is immediate
after being selected.

It appears (not sure though) that selecting Restart will cause a delay no matter
what.

Roy
Comment 1 Hans de Goede 2006-03-10 13:53:06 EST
Shouldn't we close this bug as FC3 is EOL?
Comment 2 Matthew Miller 2006-07-10 19:32:40 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Ray Strode [halfline] 2007-08-14 11:48:07 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.